Description

gdaltools fial to create a virtual catalog if there are mmany rasters.

Infact gdaltool call the "gdalbuildvrt" passing each for each every raster.

This method seem to fill the command line buffer because on windows it return a strange error.

Instead gdalbuildvrt.ee allow to use a file to give a list of all the raster to be catalogue.

the option is

-input_file_list

So I think a better strategy is to write the raster list on a temporary file using the -input_file_list option to pass to the gdalbuildvrt program

and remove it after the end of operation.

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 09:39 AM - Paolo Cavallini

- Subject changed from gdaltools: virtual catalog fail with many files to gdaltools: virtual catalog fails with many files

- Pull Request or Patch supplied set to No

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#6 - 2014-06-29 10:09 AM - Jürgen Fischer

- Assignee deleted (anonymous -)

#7 - 2015-11-19 06:59 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

I've tested to create a vrt with QGIS from 502 TIFF files taken individually (not using "Choose input directory instead of files") and it just work !
I am closing this feature request...
